﻿using PTCMS.API.Domain.Entities;
using PTCMS.API.Infrastructure.Dtos;

namespace PTCMS.API.Domain.Repositories
{
    /// <summary>
    /// 证书信息仓储接口
    /// </summary>
    public interface ICertificateRepository
    {
        /// <summary>
        /// 根据姓名+身份证号或者姓名+证书编码进行查询
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<Certificate> GetCertificateAsync(CertificateSearchDto input);
    }
}
